#
# spec file for package prewikka
#
# Copyright (c) 2016 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

Name:           prewikka
Version:        3.0.0
Release:        2.7
Summary:        Graphical front-end analysis console for the Prelude Framework
License:        GPL-2.0+
Group:          Productivity/Networking/Web/Frontends
Url:            https://www.prelude-siem.org
Source0:        https://www.prelude-siem.org/pkg/src/3.0.0/%{name}-%{version}.tar.gz
Patch0:         prewikka-cheetah-shbang.patch
Patch1:         prewikka-wsgi-shbang.patch
Patch2:         prewikka-ez_setup.patch
BuildRequires:  python-devel
BuildRequires:  python-cheetah
BuildRequires:  python-lesscpy
BuildRequires:  python-setuptools
BuildRequires:  gettext
Requires:       python-cheetah
Requires:       xorg-x11-fonts
Requires:       python-babel
Requires:       python-dateutil
Requires:       python-pytz
Requires:       python-libprelude
Requires:       python-libpreludedb
BuildArch:      noarch

%description
Prewikka is the graphical front-end analysis console for the
Prelude Universal SIM. Providing numerous features, Prewikka
facilitates the work of users and analysts. It provides alert
aggregation and sensor and hearbeat views, and has user management
and configurable filters. Prewikka also provides access to external
tools such as whois and traceroute.

%prep
%setup -q
%patch0 -p0
%patch1 -p0
%patch2 -p0

%build

%install
%{__python} setup.py install -O1 --root=%{buildroot}
mkdir -p %{buildroot}%{_defaultdocdir}/%{name}-%{version}
mkdir -p %{buildroot}%{_sbindir}/
mv %{buildroot}/%{_bindir}/%{name}-httpd %{buildroot}/%{_sbindir}/%{name}-httpd
find %{buildroot} -type f -name '*.pyo' -exec rm -f {} ';'
%find_lang %{name} --with-python

%files -f %{name}.lang
%defattr(-, root, root, -)
%attr(0750, -,-) %dir %{_sysconfdir}/%{name}/
%config(noreplace) %attr(0640, -,-) %{_sysconfdir}/%{name}/%{name}.conf
%{_datadir}/%{name}
%{_sbindir}/%{name}-httpd
%{python_sitelib}/%{name}/
%{python_sitelib}/%{name}*.egg-info
%doc COPYING* AUTHORS README NEWS HACKING.README

%changelog
* Sun Sep  4 2016 thomas.andrejak@gmail.com
  Fix Group to be a valid OpenSuse Group
  Fix Requires
  Fix source URL
  Fix dependencies
  Clean usage of "-n %%{name}-"
* Tue May  3 2016 thomas.andrejak@gmail.com
  Initial import
  Add patchs :
  * prewikka-cheetah-shbang.patch
  * Fix shebang in cheetah generated files
  * prewikka-ez_setup.patch
  * Support old setuptools
  * prewikka-wsgi-shbang.patch
  * Fix shebang in wsgi file
